| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Member Functions | Protected Slots | List of all members
PacketFormatCSVGroupBox Class Reference

Group box for configuring CSV packet formatting options. More...

`#include <packet_format_group_box.h>`

Inheritance diagram for PacketFormatCSVGroupBox:

## Public Member Functions
| PacketFormatCSVGroupBox (QWidget *parent=0)
| Constructs a PacketFormatCSVGroupBox.
| ~PacketFormatCSVGroupBox ()
| Destroys the PacketFormatCSVGroupBox.
bool | isValid () const override
| Checks if the CSV format configuration is valid.
void | updatePrintArgs (print_args_t &print_args) override
| Updates the print arguments with the CSV format settings.
Public Member Functions inherited from PacketFormatGroupBox
| PacketFormatGroupBox (QWidget *parent=0)
| Constructs a PacketFormatGroupBox.

## Protected Slots
void | utf8Toggled (bool checked)

## Additional Inherited Members
Signals inherited from PacketFormatGroupBox
void | formatChanged ()
| Signal emitted when the format configuration changes.

## Detailed Description

Group box for configuring CSV packet formatting options.

## Constructor & Destructor Documentation

## ◆ PacketFormatCSVGroupBox()

PacketFormatCSVGroupBox::PacketFormatCSVGroupBox | ( | QWidget * | parent = 0 | ) |
| explicit

Constructs a PacketFormatCSVGroupBox.

Parameters

  parent | The parent widget.

## Member Function Documentation

## ◆ isValid()

bool PacketFormatCSVGroupBox::isValid | ( |  | ) | const
| override virtual

Checks if the CSV format configuration is valid.

Returns
  True if the configuration is valid, false otherwise.

Reimplemented from PacketFormatGroupBox.

## ◆ updatePrintArgs()

void PacketFormatCSVGroupBox::updatePrintArgs | ( | print_args_t & | print_args | ) |
| override virtual

Updates the print arguments with the CSV format settings.

Parameters

  print_args | The print arguments structure to update.

Implements PacketFormatGroupBox.

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/packet_format_group_box.h
- /builds/wireshark/wireshark/ui/qt/packet_format_group_box.cpp